#ifndef MYVIEW_H
#define MYVIEW_H

#include <qvariant.h>
#include <qwidget.h>
#include <qvbox.h>
#include <qstring.h>
#include <qlabel.h>
#include <time.h>
#include "../iwlib.h"
// #include "../stuff.h"
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QPushButton;

int get_range_info (int skfd, const char *ifname, iwrange * range);

int get_info (int skfd, const char *ifname, struct wireless_info *info);

int iw_getstats (const char *ifname, iwstats * stats);

class myview:public QWidget
{
Q_OBJECT public:
    myview (int socketnumber, bool allow1, bool allow2, bool allow3, QWidget * parent = 0, const char *name = 0, WFlags fl = 0);
   ~myview ();
  void paintEvent (QPaintEvent *);
  int socket;
  QString kdedir;
  wireless_info *infocontainer;
  iwstats *infocontainer2;
  QPixmap *offline, *excellent, *good, *marginal, *oor_down, *oor_minimum;
  void mousePressEvent (QMouseEvent *);
  bool allow_flash_low, allow_flash_crit, allow_flash_dropped;
protected:
    bool blink;
    time_t zeit;
  QString interfc;
  QColor standardfarbe;
  void enterEvent (QEvent *);
};

#endif // MYVIEW_H
